%define dist Gtk2-Html2
Name: perl-%dist
Version: 0.04
Release: alt1.1

Summary: Gtk2-Html2 Perl module
License: LGPL
Group: Development/Perl

URL: http://gtk2-perl.sourceforge.net/
Source: %dist-%version.tar.gz

BuildRequires: glib2-devel libatk-devel libgtk+2-devel libgtkhtml2-devel libpango-devel libxml2-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Glib-devel perl-Gtk2-devel perl-devel pkgconfig xorg-x11-Xvfb xorg-x11-devel xorg-x11-libs xvfb-run

%package devel
Summary: Perl bindings to the gtkhtml 2.x library (development files)
License: LGPL
Group: Development/Perl
Requires: %name = %version-%release

%description
The Gtk2::Html2 extension allows a perl developer to use the gtkhtml2 html
display widget with Gtk2-Perl.

%description devel
The Gtk2::Html2 extension allows a perl developer to use the gtkhtml2 html
display widget with Gtk2-Perl.

This package contains Gtk2-Html2 development files and documentation
for developers (overview of internals and internal API reference).

%prep
%setup -q -n %dist-%version

%build
%ifndef _build_display
%def_without test
%endif

EXTRA_BLIBS="%perl_vendor_autolib/Glib/Glib.so %perl_vendor_autolib/Gtk2/Gtk2.so"
%perl_vendor_build

xvfb-run %__make test

%install
%perl_vendor_install

%define pkgdocdir %_docdir/%name-%version
%__mkdir_p %buildroot%pkgdocdir
%__cp -a AUTHORS ChangeLog NEWS README TODO examples %buildroot%pkgdocdir

%files
%dir	%pkgdocdir
	%pkgdocdir/AUTHORS
	%pkgdocdir/NEWS
	%pkgdocdir/README
%dir	%perl_vendor_archlib/Gtk2
	%perl_vendor_archlib/Gtk2/Html2.pm
	%perl_vendor_autolib/Gtk2/Html2

%files devel
%dir	%pkgdocdir
	%pkgdocdir/ChangeLog
	%pkgdocdir/TODO
	%pkgdocdir/examples
	%perl_vendor_archlib/Gtk2/Html2

%changelog
* Wed Mar 16 2005 LAKostis <lakostis at altlinux.ru> 0.04-alt1.1
- cleanup buildreq/requires.

* Sun Mar 7 2005 LAKostis <lakostis at altlinux.ru> 0.04-alt1
- first build for Sisyphus
- manual pages not packaged (use perldoc)
- always run tests (by utilizing xvfb-run)
